<?php
/* Template Name: CDIFS How to Get Here Sharp MAP Page */

get_header('2022'); ?>

<!-- Slider
		============================================= -->
		<section id="light-header" class="clearfix">
		
		 <?php 
    		 //$light_content_title = '<h2 class="content__title">I am GETTING Here</h2>';
    		 //$light_content_title = '<img src="'.get_template_directory_uri().'/effects/images/how_to_get_here/title-how-to-get-here.svg">';
    		 $light_content_title = 'how_to_get_here.php';
    		 require get_template_directory().'/effects/main_light.php'; 
		 ?>    
		
		</section>		
		
		
		
<?php while ( have_posts() ) : the_post(); ?>
		
		<!-- Content
		============================================= -->
		
			<?php //the_content(); ?>

<?php endwhile; ?>





<!--content for positioning -->

<section id="map-section-content">
<div class="content-wrap nopadding">
<div id="content-detail" class="clearfix nopadding">

<div id='map-content'>
    <div id='map-img'>
         <?php if ($isENG ) { ?>
        <img style="" src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/location-map-en.svg" alt=""></p>
    
        <?php } else { ?>
        <img style="" src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/location-map.svg" alt=""></p>
        <?php } ?>
    </div>    
    <?php if ($isENG ) { ?>
    <div id='map-info'>
        <div class='map-item'>
              <div class='map-icon'>
                  <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/icon-location.svg">
              </div>
              <div class='map-text map-text-en'>
                  
                
                    <h3>Address</h3>
                
                <p>
                    No.1 HongXing Road, Jinjiang District, Chengdu
                </p>
                
                </div>

        </div>
        <div class='map-item'>
              <div class='map-icon'>
                  <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/icon-subway.svg">
              </div>
              <div class='map-text map-text-en'>
                  
               
                    <h3>Metro</h3>
                
                <p>
                    Chengdu Metro Line 2: Exit C&amp;D, Chunxi Road Station
                    <br/>
                    Chengdu Metro Line 3: Exit C&amp;D, Chunxi Road Station
                </p>
                
                </div>

        </div>
        <div class='map-item'>
              <div class='map-icon'>
                  <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/icon-drive.svg">
              </div>
              <div class='map-text map-text-en'>
                  
                
                    <h3>Driving Route</h3>
                
                <p>
                    Parking Entrance: North Shamao Street
                </p>
                <p>
                    Over 1,700 parking spaces<br/>
                    Valet Parking:<br/>
                    <!--
                    1、1IFS（Near Giorgio Armani）<br/>
                    2、North Shamao Street（Near Paul ＆ Shark）<br/>
                    3、L3 Platform（Near Rolex）-->
                    
                    1. L3 VIP Parking Lot (opposite to Niccolo Hotel)<br/>
                    2. L3 Podium Parking (near Piaget)
                </p>
                
                </div>

        </div>
    </div>
    <?php } else { ?>
    <div id='map-info'>
        <div class='map-item'>
              <div class='map-icon'>
                  <img style="margin:0px auto;" src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/icon-location.svg">
              </div>
              <div class='map-text'>
                  
                
                    <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/title-location.svg">
                
                <p>
                    地址：成都市锦江区红星路 3 段 1 号
                </p>
                
                </div>

        </div>
        <div class='map-item'>
              <div class='map-icon'>
                  <img style="margin:0px auto;" src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/icon-subway.svg">
              </div>
              <div class='map-text'>
                  
               
                    
                <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/title-subway.svg">
                <p>
                    成都地铁 2 号线春熙路站<br/>
                    成都地铁 3 号线春熙路站
                    
                </p>
                
                </div>

        </div>
        <div class='map-item'>
              <div class='map-icon'>
                  <img style="margin:0px auto;" src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/icon-drive.svg">
              </div>
              <div class='map-text'>
                  
                
                    
                <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/title-drive.svg">
                <p>
                    停车场入口：北纱帽街
                </p>
                <p>
                    <!--
                    代客泊车点：<br/>
                    1. 成都 IFS 一号办公楼泊车点 (临近 Giorgio Armani) <br/>
                    2. 北纱帽街地下停车场入口泊车点 (临近 Paul ＆ Shark) <br/>
                    3. L3 平台泊车点 (临近 Rolex)
                    -->
                    代客泊车点位置：<br/>
                    1. L3 VIP 泊车休息区泊车点 ( Niccolo 酒店对面)<br/>
                    2. L3 平台泊车点 (临近 Piaget)
                </p>

                </div>

        </div>
    </div>
        
   <?php } ?>
    
</div>
</section>
<section>
<div id="location-bar">
    <div class="near-by-title-bar owl-buttons">
        <div class="owl-prev">
        <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-arrow-left.svg" class="near-by-arrow near-by-arrow-en " id="near-by-arrow-left">
        </div>
       
        
        <?php if ($isENG ) { ?>
             <!--<img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/title-map-en.svg">-->
            <span class="near-by-title-text"><nobr>Nearby Attractions</nobr></span>
        <?php } else { ?>
            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/title-nearby-attractions.svg" class="near-by-height">
        <?php } ?>
        <div class="owl-next">
         <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-arrow-right.svg" class="near-by-arrow near-by-arrow-en" id="near-by-arrow-right">
        </div>
    </div>    
</div> 
</section>
    <!-- Basic stylesheet -->
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/effects/owl-carousel/owl.carousel.css">
 
<!-- Default Theme -->
<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/effects/owl-carousel/owl.theme.css">


<?php
$attraction = array(16);
 if ($isENG ) { 
            $attraction[0] = "WangPing Street";
            $attraction[1] = "TangBa Street";
            $attraction[2] = "Chengdu 339";
            $attraction[3] = "TianFu Square";
            $attraction[4] = "Jiuyan Bridge";
            $attraction[5] = "People’s Park";
            $attraction[6] = "Wenshu Yuan Monastery";
            $attraction[7] = "KuanZhai Alley";
            $attraction[8] = "Wangjianglou Park";
            $attraction[9] = "Jin Li";
            $attraction[10] = "WuHou Temple";
            $attraction[11] = "YuLin Road";
            $attraction[12] = "QingYang Palace";
            $attraction[13] = "Dong Jiao Memory";
            $attraction[14] = "HuanHuaXi Park";
            $attraction[15] = "Du Fu Thatched Cottage";
            
 } else { 
             
            $attraction[0] = "望平街";
            $attraction[1] = "镋钯街";
            $attraction[2] = "339 电视塔";
            $attraction[3] = "天府广场";
            $attraction[4] = "九眼桥";
            $attraction[5] = "人民公园";
            $attraction[6] = "文殊院";
            $attraction[7] = "宽窄巷子";
            $attraction[8] = "望江楼公园";
            $attraction[9] = "锦里";
            $attraction[10] = "武侯祠";
            $attraction[11] = "玉林路";
            $attraction[12] = "青羊宫";
            $attraction[13] = "东郊记忆";
            $attraction[14] = "浣花溪公园";
            $attraction[15] = "杜甫草堂";
            
          } 

?>

    <div class="near-by-bar">
        <div class="owl-carousel owl-theme">
              <div> 
                    <div class="near-by-items" markerdata=0>
                        <a>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-01.svg">
                        </div>
                        <div class="near-by-items-text">
                           <?php echo $attraction[0]; ?>  <!--望平街-->
                        </div>
                        </a>
                    </div> 
              </div>
               
              <div> 
                    <div class="near-by-items" markerdata=1>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-02.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[1]; ?>  <!--镋钯街-->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=2>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-03.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[2]; ?>  <!--339 电视塔-->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=3>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-04.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[3]; ?>  <!--天府广场-->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=4>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-05.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[4]; ?>  <!--九眼桥-->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=5>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-06.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[5]; ?>  <!--人民公园-->
                        </div>
                    </div> 
              </div>
              
              <div> 
                    <div class="near-by-items" markerdata=6>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-07.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[6]; ?>  <!--文殊院-->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=7>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-08.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[7]; ?>  <!--宽窄巷子 -->
                        </div>
                    </div> 
              </div>
                 
            
            <div> 
                    <div class="near-by-items" markerdata=8>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-09.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[8]; ?>  <!--望江楼公园 -->
                        </div>
                    </div> 
              </div>
            <div> 
                    <div class="near-by-items"  markerdata=9>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-10.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[9]; ?>  <!--锦里 -->
                        </div>
                    </div> 
              </div>
            <div> 
                    <div class="near-by-items" markerdata=10>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-11.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[10]; ?>  <!--武侯祠 -->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=11>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-12.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[11]; ?>  <!--玉林路 -->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=12>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-13.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[12]; ?>  <!--青羊宫 -->
                        </div>
                    </div> 
              </div>
             <div> 
                    <div class="near-by-items" markerdata=13>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-14.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[13]; ?>  <!--东郊记忆 -->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=14>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-15.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[14]; ?>  <!--浣花溪公园 -->
                        </div>
                    </div> 
              </div>
              <div> 
                    <div class="near-by-items" markerdata=15>
                        <div>
                            <img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-icon-16.svg">
                        </div>
                        <div class="near-by-items-text">
                            <?php echo $attraction[15]; ?>  <!--杜甫草堂 -->
                        </div>
                    </div> 
              </div>
                
        </div>
    </div>
    

   <section id="sharp-map" class="clearfix">
        <div class="items-div">
            
           <!-- <img src="<?php echo get_template_directory_uri(); ?>/effects/images/floorplan/floorplan_dummy.jpg"> -->
           <?php //echo do_shortcode( '[mapplic id="18873"]' ); ?> 
           
           
           <?php if ($isENG ) { 
            echo do_shortcode( '[mapplic id="18883"]' );  
    
        } else {
        
           echo do_shortcode( '[mapplic id="18873"]' ); 
          
           } ?>
          
          
            
        </div>
  
    </section>
    
    
    <style>
    
    .mapplic-pin 
    {
        display:block!important;
    }
    .mapplic-tooltip-triangle{
        display:none!important;
    }
    .mapplic-tooltip {
        padding:0 !important;
        background:transparent!important;
    }
    
    .mapplic-tooltip-title{
        
        display:none!important;
    }
    </style>
    
    <script>
    
        var markerCount = 16;
    	var bgIconArr = new Array(markerCount);
    
    	    bgIconArr[0] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-01.png)' ;
			bgIconArr[1] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-02.png)' ;
			bgIconArr[2] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-03.png)' ;
			bgIconArr[3] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-04.png)' ;
			bgIconArr[4] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-05.png)' ;
			bgIconArr[5] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-06.png)' ;
			bgIconArr[6] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-07.png)' ;
			bgIconArr[7] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-08.png)' ;
			bgIconArr[8] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-09.png)' ;
			bgIconArr[9] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-10.png)' ;
			bgIconArr[10] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-11.png)' ;
			bgIconArr[11] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-12.png)' ;
			bgIconArr[12] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-13.png)' ;
			bgIconArr[13] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-14.png)' ;
			bgIconArr[14] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-15.png)' ;
			bgIconArr[15] = 'url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-16.png)' ;
    
        function myFunction(event , iconID) {
            
              const ev = document.createEvent("MouseEvent");
              ev.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
        
              //console.log( "[data-location='icon" + iconID + "']" ) ;
              changeIcon(iconID);
              jQuery( "[data-location='icon" + iconID + "']" )[0].dispatchEvent(ev); 
        }
        
        function changeIcon(iconID)
        {
            console.log( "changeIcon: " + bgIconArr[iconID]);
            console.log( jQuery( ".mapplic-active") ) ;
            
            
            jQuery( "[data-location^='icon'").css( { 'background-size' : '' , 'width':'' , 'height':'' , 'margin-left': '' , 'margin-top': '' , 'background-image' :''  } );
            
            jQuery( "[data-location='icon" + iconID + "']" ).css('background-size', "70px 96px" );
            
            jQuery( "[data-location='icon" + iconID + "']" ).css('width', '70px' );
            jQuery( "[data-location='icon" + iconID + "']" ).css('height', '96px' );
            
            jQuery( "[data-location='icon" + iconID + "']" ).css('margin-left', '-35px' );
            jQuery( "[data-location='icon" + iconID + "']" ).css('margin-top', '-96px' );
            
            jQuery( "[data-location='icon" + iconID + "']" ).css('background-image',bgIconArr[iconID] );
            

            //jQuery( "[data-location='icon" + iconID + "']" )
        }
    
;
        
    </script>
    
<section id="map-area" >


<div id="allmap"></div>
<div class="clear"></div>
</div>
</section>

<style>




    .infodiv{
        display:flex;
         flex-direction: column;
  
    }
    .infotitle{
        padding-left:5px;
        padding-top:10px;
        font-weight:700;
        color:#aa9d83;
        font-size:16px;
    }
    
    .infocontent{
        padding-left:5px;
        padding-right:5px;
        padding-top:5px;
        padding-bottom:15px;
    }

.near-by-items-text{
    padding: 0px 10px;
    text-align:center;
    line-height: 18px;
}
.near-by-items:hover .near-by-items-text
 {
    background-color: #ae9e7f;
    border-radius: 5px;
    
    color: white;
}

.near-by-items-current .near-by-items-text
 {
    background-color: #ae9e7f;
    border-radius: 5px;
    
    color: white;
}


.near-by-title-bar{
     display:flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
}


.near-by-arrow{
 width:auto;
 height:34px;
    margin-left:50px;
    margin-right:50px;
    opacity:0.7;
}
.near-by-arrow:hover {
    opacity:1;
    -webkit-transition: all 1s ease;
	transition: all 1s ease;
}

.near-by-height{
 width:auto;
 height:25px;
 margin-top:15px;
 margin-bottom:15px;
}
.owl-carousel .owl-dots .owl-dot {
    margin-top: 10px; /*15px; */
    margin-bottom: 15px;
    margin-left: 3px;
    margin-right: 3px;
}

.owl-carousel .owl-dots .owl-dot span {
    width: 10px;
    height: 10px;
    background-color: #d0ccb9;
 }
 
 
.owl-carousel .owl-dots .owl-dot.active span,
.owl-carousel .owl-dots .owl-dot:hover span { 
    background-color: #ae9e7f;
}


.near-by-items{
    display:flex;
    flex-direction: column;
    align-items: center;
    <?php if ($isENG ) { ?>
    margin-left:10px; /*20px;*/
    margin-right:10px; /*20px;*/
     <?php } else { ?>
    margin-left:29px; /*20px;*/
    margin-right:29px; /*20px;*/
     <?php } ?>
    margin-top:0px;
    
    font-size: 16px;

}

.owl-carousel .owl-item img {
     <?php if ($isENG ) { ?>
padding: 0 25px 0px;
<?php } else { ?>
padding: 0 10px;
 <?php } ?>
	
	margin-bottom:0px;
	margin-top:5px;
}

.near-by-items img{
    margin-bottom:5px;
    width:60%;
}

.near-by-bar{
    background-color:#eeeeee;
    color:#ad9d80;
    padding-left:70px;
    padding-right:70px;
}

#allmap {
  /*  background-image:url("<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/baidu-map.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;*/
    /*height: 600px;*/
    height:440px;
}


    #map-section-content{
      height: auto ; /*760px;*/
        background-color:#DCE0E3;
        padding-top: 75px;
    padding-bottom: 75px;
    
    }
    #map-content{
        display: flex;
        flex-direction: row;
        
    }
    #map-img{
        width:50%;
        padding-right: 0px;
        
    }
    #map-img img{
        display: block;
        margin-left: auto;
        margin-right: 0px;
        border-radius: 30px;
        width: 613px;
    background-color: white;
    }
    #map-info{
        width:50%;
        padding-left:50px;
        padding-top: 40px;
        display: flex;
        flex-direction: column;
    }
    
    #map-info img{
        /*width: 80%;*/
    }
    .map-item{
        display: flex;
        flex-direction: row;
        padding-bottom: 30px;
    }
    .map-icon img {
       /* width:15%; */
       margin: -20px auto 0px;
    }
    .map-text{
        /*width:90%;*/
    }
    #location-bar{
        padding-top:2px; /*1vh*/;
        padding-bottom:2px /*1vh*/;
        
        width: 100%;
        background-color: #aa9d83;
        text-align: center;
    }
    #location-bar h3
    {
        color: #FFFFFF;
        font-size: 26px;
    }
    
    .map-text img {
    padding-bottom: 20px;
    padding-top: 18px;
    }
    
    #content-detail {
        margin: 0 auto;   
    }
    
    .map-text-en p {
        text-align: left;
    }
    
    #content-detail .map-text-en h3{
        text-transform: none;
    }
</style>








<script src="https://webapi.amap.com/maps?v=2.0&key=eb1dd0e27d615024606c9f7fef641b75"></script>
<script>



var map2024 = new AMap.Map("allmap", {
  viewMode: '2D', //默认使用 2D 模式
  zoom: 13, //地图级别
  center: new AMap.LngLat(104.08149800000001,30.655564), //地图中心点
  //mapStyle: "amap://styles/cc26bfb5bb66ca4c04558cafd4eb3efa", 
  mapStyle: "amap://styles/whitesmoke",
  //zoomEnable:false,
  scrollWheel:false,
});

//map2024.setMapStyle("amap://styles/cc26bfb5bb66ca4c04558cafd4eb3efa");

var ifsIcon = '<div class="custom-content-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/map-pin.png"></div>' ;
"104.081498"
var ifsposition = new AMap.LngLat(104.08149800000001,30.655564); //Marker 经纬度
var ifsMark = new AMap.Marker({
  position: ifsposition,
  content: ifsIcon, 
  offset: new AMap.Pixel(-23, -92)
});


var smallpinIcon = '<div class="pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/map-small-pin.png"></div>' ;


var markerCount = 16;
			var currentMarker = -1;
			
			var locationmarkerArr = new Array(markerCount);
			var locationLargeIconArr = new Array(markerCount);
			var locationPointArr = new Array(markerCount);
			var locationImageArr = new Array(markerCount);
			var locationTextArr =  new Array(markerCount);
			var locationTitleArr  =  new Array(markerCount);
			var locationLinkArr  =  new Array(markerCount);
			var locationRouteArr  =  new Array(markerCount);

            var smallpinoffset = new AMap.Pixel(-17, -45);
            var locationmarkeroffset = new AMap.Pixel(-35, -96);
            

			//var iconSize = new BMap.Size(70,96) ;
			
			
			locationLargeIconArr[0] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-01.png"></div>' ;
			locationLargeIconArr[1] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-02.png"></div>' ;
			locationLargeIconArr[2] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-03.png"></div>' ;
			locationLargeIconArr[3] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-04.png"></div>' ;
			locationLargeIconArr[4] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-05.png"></div>' ;
			locationLargeIconArr[5] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-06.png"></div>' ;
			locationLargeIconArr[6] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-07.png"></div>' ;
			locationLargeIconArr[7] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-08.png"></div>' ;
			locationLargeIconArr[8] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-09.png"></div>' ;
			locationLargeIconArr[9] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-10.png"></div>' ;
			locationLargeIconArr[10] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-11.png"></div>' ;
			locationLargeIconArr[11] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-12.png"></div>' ;
			locationLargeIconArr[12] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-13.png"></div>' ;
			locationLargeIconArr[13] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-14.png"></div>' ;
			locationLargeIconArr[14] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-15.png"></div>' ;
			locationLargeIconArr[15] = '<div class="large-pin-marker"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-pin-16.png"></div>' ;
		
	
				/*
			成都 望平街 
            {lat: 30.655379, lng: 104.09195499999998}
            
            镋钯街 
            {lat: 30.648155, lng: 104.08168799999999}
            
            成都 339 电视塔
            {lat: 30.661992, lng: 104.09497699999997}
            
            天府广场
            {lat: 30.657401, lng: 104.06586099999998}
            
            九眼桥
            {lat: 30.640332, lng: 104.08958000000001}
            
            人民公园
            {lat: 30.65699, lng: 104.05764099999999}
            
            成都 文殊院
            {lat: 30.675418, lng: 104.07252699999998}
            
            宽窄巷子
            {lat: 30.66494, lng: 104.05162999999999}
            
            望江楼公园
            {lat: 30.629245, lng: 104.09220500000004}
            
            锦里
            {lat: 30.645994, lng: 104.04982799999999}
            
            武侯祠
            {lat: 30.646168, lng: 104.04799200000002}
            
            玉林路
            {lat: 30.629365, lng: 104.05407300000002}
            
            青羊宫
            {lat: 30.661506, lng: 104.042599}
            
            东郊记忆
            {lat: 30.668697, lng: 104.122906}
            
            浣花溪公园
            {lat: 30.657467, lng: 104.029022}
            
            杜甫草堂
            {lat: 30.660161, lng: 104.02850699999999}
            */	
		
		
		    locationPointArr[0] = new AMap.LngLat(104.09195499999998,30.655379);
			locationPointArr[1] = new AMap.LngLat(104.08168799999999,30.648155);
			locationPointArr[2] = new AMap.LngLat(104.09497699999997,30.661992);
			locationPointArr[3] = new AMap.LngLat(104.06586099999998,30.657401);
			locationPointArr[4] = new AMap.LngLat(104.08958000000001,30.640332);
			locationPointArr[5] = new AMap.LngLat(104.05764099999999,30.65699);
			locationPointArr[6] = new AMap.LngLat(104.07252699999998,30.675418);
			locationPointArr[7] = new AMap.LngLat(104.05162999999999,30.66494);
			locationPointArr[8] = new AMap.LngLat(104.09220500000004,30.629245);
			locationPointArr[9] = new AMap.LngLat(104.04982799999999,30.645994);
			locationPointArr[10] = new AMap.LngLat(104.04799200000002,30.646168);
			locationPointArr[11] = new AMap.LngLat(104.05407300000002,30.629365);
			locationPointArr[12] = new AMap.LngLat(104.042599,30.661506);
			locationPointArr[13] = new AMap.LngLat(104.122906,30.668697);
			locationPointArr[14] = new AMap.LngLat(104.029022,30.657467);
			locationPointArr[15] = new AMap.LngLat(104.02850699999999,30.660161);
			
			
			   
             <?php if ($isENG ) { ?>
                locationTitleArr[0] = "WangPing Street";
                locationTitleArr[1] = "TangBa Street";
                locationTitleArr[2] = "Chengdu 339";
                locationTitleArr[3] = "TianFu Square";
                locationTitleArr[4] = "Jiuyan Bridge";
                locationTitleArr[5] = "People’s Park";
                locationTitleArr[6] = "Wenshu Yuan Monastery";
                locationTitleArr[7] = "KuanZhai Alley";
                locationTitleArr[8] = "Wangjianglou Park";
                locationTitleArr[9] = "Jin Li";
                locationTitleArr[10] = "WuHou Temple";
                locationTitleArr[11] = "YuLin Road";
                locationTitleArr[12] = "QingYang Palace";
                locationTitleArr[13] = "Dong Jiao Memory";
                locationTitleArr[14] = "HuanHuaXi Park";
                locationTitleArr[15] = "Du Fu Thatched Cottage";
            <?php } else { ?>
             
                locationTitleArr[0] = "望平街";
                locationTitleArr[1] = "镋钯街";
                locationTitleArr[2] = "339 电视塔";
                locationTitleArr[3] = "天府广场";
                locationTitleArr[4] = "九眼桥";
                locationTitleArr[5] = "人民公园";
                locationTitleArr[6] = "文殊院";
                locationTitleArr[7] = "宽窄巷子";
                locationTitleArr[8] = "望江楼公园";
                locationTitleArr[9] = "锦里";
                locationTitleArr[10] = "武侯祠";
                locationTitleArr[11] = "玉林路";
                locationTitleArr[12] = "青羊宫";
                locationTitleArr[13] = "东郊记忆";
                locationTitleArr[14] = "浣花溪公园";
                locationTitleArr[15] = "杜甫草堂";
                
            <?php } ?>
            
			    <?php if ($isENG ) { ?>

            locationTextArr[0] = "WangPing Street is a new popular neighborhood residing small and beautiful cafes, restaurants, bars, etc., and has become one of the must-see places when visiting Chengdu.";
			locationTextArr[1] = "TangBa Street is a century-old street. It not only has the style and features of traditional western Sichuan houses, but also blends modern and international elements from various countries. It has become a typical representative of Chengdu's long history and modern civilization.";
			locationTextArr[2] = "The Mengzhui Bay area where Chengdu 339 is located is the \"Chenghua Modern Service Industry New Business District\" of \"Mengzhui Bay Business and Leisure Centre & Jianshe Road Commercial District\". A distinctive functional area, covering tourism, culture, entertainment, and businesses.";
			locationTextArr[3] = "Tianfu Square is not only the economic, cultural and commercial centre of Chengdu, but also an important transportation hub. It is a symbol of Chengdu and even Sichuan.";
			locationTextArr[4] = "Jiuyan Bridge was built in 1593, and the street it belongs to is a famous bar street in Chengdu. Surrounded by bars, restaurants, teahouses and other leisure places, Jiuyan Bridge is very lively at night, and there are bustling tourists coming for leisure and entertainment everywhere.";
			locationTextArr[5] = "Chengdu People's Park is a comprehensive park integrating gardens, culture, cultural relics protection, leisure and entertainment. There are two old teahouses in the garden that were founded in the period of the Republic of China, where you can experience the pure and authentic Chengdu culture.";
			locationTextArr[6] = "Wenshu Monastery is a well-preserved Buddhist temple in Chengdu. It is a Buddhist holy place integrating the sacred relics of Zen forests, ancient gardens, pilgrimage and sightseeing, and religious study.";
			locationTextArr[7] = "KuanZhai Alley is composed of Kuan Alley, Zhai Alley, and Well Alley arranged in parallel, all of which are antique courtyards with indigo bricks and tiles. This is also a relatively large-scale ancient Qing Dynasty street left over from Chengdu. Together with Daci Temple and Wenshu Monastery, it is called Chengdu Three historical and cultural city protection blocks.";
			locationTextArr[8] = "Wangjianglou Park is located on the south bank of the Jinjiang River in the east gate of Chengdu. It is famous worldwide for its ancient architectural complex of Wangjianglou, the Memorial Hall of Xue Tao, a famous poetess of the Tang Dynasty, and various rare and exotic bamboos.";
			locationTextArr[9] = "Jinli is a part of Chengdu WuHou Temple Museum (Three Kingdoms Historic Site Area, Jinli Folk Custom Area, West District). It used to be one of the oldest and commercial streets in the history of Western Shu. The total length of the street is 550 meters, with the folk houses in western Sichuan in the late Ming and early Qing Dynasties as the exterior, and the culture of the Three Kingdoms and Chengdu folk customs as the connotation, integrating tourism, shopping, leisure and entertainment.";
			locationTextArr[10] = "WuHou Temple is the carrier of people\'s affirmation and praise for the spirit of Zhu Ge Liang, the prime minister of the Shu Han Dynasty, who \"dedicated himself to death\". It is also the source of the relics of the Three Kingdoms. It consists of four parts: Han Zhao Lie Temple, WuHou Temple, HuiLing Mausoleum, and SanYi Temple. It belongs to Chengdu Cultural Heritage Protection Area of Wuhou Temple Museum.";
			locationTextArr[11] = "YuLin carries the long and profound memory of Chengdu people, as well as the fashion and trends of the city south. As the earliest art block in Chengdu, everything in YuLin is not only the result of the natural growth of the block, but also retains some of the unique marks of old Chengdu. There are not only the leisure and comfort of old Chengdu, but also the fashion and art of new Chengdu. It is a wonderful fusion of old and new, and a harmonious unity of nature and humanity.";
			locationTextArr[12] = "QingYang Palace is known as \"the first Taoist temple in western Sichuan\". It is also one of the famous Taoist temples in the country. The HunYuan Hall in the palace is tall and majestic, and the BaGua Pavilion is a well-preserved and luxurious building among them, enshrining the statue of Lao Tzu riding a green bull. A precious cultural relic in QingYang Palace is a \"Taoist Collection\", which has become a precious material for the study of Taoism.";
			locationTextArr[13] = "Dong Jiao Memory (Memory of the Eastern Suburbs), formerly Chengdu East District Music Park, is a multi-cultural park integrating music, art, drama, photography and other cultural forms, is an industrial site themed tourist destination, and a highland of cultural and creative industries in Chengdu. Dong Jiao Memory is rebuilt on the former site of the former state-owned HongGuang Electron Tube Factory. It is an international fashion industrial park positioned as \"the twin pillars of fashion design and music art for development\".";
			locationTextArr[14] = "HuanHuaXi Park is the core area of HuanHuaXi Historical and Cultural Scenic Area. It is located between the First Ring Road and the Second Ring Road in the Southwest of Chengdu. It is connected to Du Fu Thatched Cottage in the North and Sichuan Provincial Museum in the East, and is the largest and only five-star rated urban forest park in Chengdu.";
			locationTextArr[15] = "Du Fu Thatched Cottage is the former residence of Du Fu, a great poet of the Tang Dynasty in China, when he lived in Chengdu. Du Fu lived here for nearly four years and wrote more than 240 poems. At the end of the Tang Dynasty, the poet Wei Zhuang found the ruins and rebuilt the Thatched Cottage to preserve it. It was repaired and expanded in the Song, Yuan, Ming and Qing dynasties.";
			
            <?php } else { ?>
            
            locationTextArr[0] = "望平街是近两三年迅速崛起的新晋网红打卡街区，也是成都咖啡文化的聚集地，拥有小而美的咖啡馆、餐吧、小酒馆等，现已成为来成都必打卡地之一。";
			locationTextArr[1] = "镋钯街是一条百年老街，既有传统川西民居的风貌特色，也有各个国家现代化国际元素的交融，成为了成都悠久历史与现代文明交相辉映的典型代表。";
			locationTextArr[2] = "成都 339 所处的猛追湾片区是“猛追湾商务休闲中心+建设路商圈”的“成华现代服务业新商圈”，号称“成都会客厅”、“成都第三核”，拥有四大各具特色的功能片区，将旅游、文化、娱乐、商务等丰富形态涵盖在内。";
			locationTextArr[3] = "天府广场既是成都市的经济、文化和商业中心，又是成都市的重要交通枢纽。它是成都的一张城市名片，更是成都乃至四川的象征。";
			locationTextArr[4] = "九眼桥始建于 1593 年，所属街道是成都著名的酒吧一条街。九眼桥周边有大量的酒吧、餐厅、茶馆等休闲场所，晚上非常热闹，随处可见熙熙攘攘前来休闲娱乐的游客。";
			locationTextArr[5] = "成都人民公园是一个集园林、文化、文物保护、休闲娱乐于一体的综合性公园。园内两个创办于民国时期的老茶社，可以体验纯粹、地道的成都文化。";
			locationTextArr[6] = "文殊院是成都市内保存的佛教寺庙，是集禅林圣迹、园林古建、朝拜观光、宗教修学于一体的佛教圣地。";
			locationTextArr[7] = "宽窄巷子由宽巷子、窄巷子、井巷子平行排列组成，全为青黛砖瓦的仿古四合院落，这里也是成都遗留下来的较成规模的清朝古街道，与大慈寺、文殊院一起并称为成都三大历史文化名城保护街区。";
			locationTextArr[8] = "望江楼公园坐落在成都东门锦江南岸，以拥有望江楼古建筑群、唐代著名女诗人薛涛纪念馆等文物遗迹及各类奇珍异竹而闻名中外。";
			locationTextArr[9] = "锦里是成都武侯祠博物馆（三国历史遗迹区、锦里民俗区、西区）的一部分，曾是西蜀历史上古老、具有商业气息的街道，早在秦汉、三国时期便闻名全国。街道全长 550 米，以明末清初川西民居作外衣，三国文化与成都民俗作内涵，集旅游购物、休闲娱乐为一体。";
			locationTextArr[10] = "武侯祠是民众对蜀汉丞相诸葛亮“鞠躬尽瘁死而后已”精神的肯定和赞誉的载体，也是三国遗迹源头，由汉昭烈庙、武侯祠、惠陵、三义庙四部分组成，属于成都武侯祠博物馆的文化遗产保护区。";
			locationTextArr[11] = "玉林承载着成都人悠久深刻的城市记忆，也承载着城南的时尚感与烟火气。作为成都的艺术街区，玉林的一切，既是街区自然生长的结果，也保留了部分老成都的独特印记。既有老成都的闲适安逸，也有新成都的时尚文艺，是新与旧的奇妙融合，也是自然与人文的和谐统一。";
			locationTextArr[12] = "青羊宫被誉为“川西第一道观”、“西南第一丛林”，也是全国著名的道教宫观之一，主要建筑有山门、三清殿、唐王殿等。宫内混元殿高大雄伟，八卦亭是造型华贵的建筑，供奉着老子骑着青牛的塑像。青羊宫内宝贵的文物是一部《道藏辑要》，为研究道教的珍贵资料。";
			locationTextArr[13] = "东郊记忆，原成都东区音乐公园，是集合音乐、美术、戏剧、摄影等文化形态的多元文化园区，工业遗址主题旅游地，成都文化创意产业高地。东郊记忆是在原国营红光电子管厂旧址上改建而成的，以“时尚设计与音乐艺术双柱求发展”为定位的国际时尚产业园区。";
			locationTextArr[14] = "浣花溪公园是浣花溪历史文化风景区的核心区域，位于成都市西南方的一环路与二环路之间，北接杜甫草堂，东连四川省博物馆，是成都市的开放性城市森林公园，被评为成都市唯一的五星级公园。";
			locationTextArr[15] = "杜甫草堂，是中国唐代大诗人杜甫流寓成都时的故居，杜甫先后在此居住近四年，创作诗歌 240 余首。唐末诗人韦庄寻得草堂遗址，重结茅屋，使之得以保存，宋元明清历代都有修葺扩建。";
			
			
            <?php } ?>
            
			
			locationRouteArr[0] = {"dist":"1 km" , "car":"7 min","public":"16 min"};
			locationRouteArr[1] = {"dist":"1 km" , "car":"5 min","public":"20 min"};
			locationRouteArr[2] = {"dist":"1.4 km" , "car":"14 min","public":"30 min"};
			locationRouteArr[3] = {"dist":"1.5 km" , "car":"12 min","public":"20 min"};
			locationRouteArr[4] = {"dist":"1.8 km" , "car":"18 min","public":"30 min"};
			locationRouteArr[5] = {"dist":"2.4 km" , "car":"19 min","public":"20 min"};
			locationRouteArr[6] = {"dist":"2.4 km" , "car":"20 min","public":"30 min"};
			locationRouteArr[7] = {"dist":"2.9 km" , "car":"20 min","public":"20 min"};
			locationRouteArr[8] = {"dist":"3.1 km" , "car":"17 min","public":"45 min"};
			locationRouteArr[9] = {"dist":"3.2 km" , "car":"21 min","public":"39 min"};
			locationRouteArr[10] = {"dist":"3.4 km" , "car":"20 min","public":"35 min"};
			locationRouteArr[11] = {"dist":"3.7 km" , "car":"24 min","public":"34 min"};
			locationRouteArr[12] = {"dist":"3.9 km" , "car":"20 min","public":"30 min"};
			locationRouteArr[13] = {"dist":"4.2 km" , "car":"24 min","public":"42 min"};
			locationRouteArr[14] = {"dist":"5 km" , "car":"24 min","public":"48 min"};
			locationRouteArr[15] = {"dist":"5.2 km" , "car":"24 min","public":"51 min"};
			
			
			//望平街
            locationLinkArr[0] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Badcode%5D=510108&to%5Bname%5D=%E6%9C%9B%E5%B9%B3%E8%A1%97&to%5Bid%5D=B0HGTA7NVS&to%5Bpoitype%5D=190700&to%5Blnglat%5D=104.09195499999998%2C30.655379&to%5Bmodxy%5D=&type=car&policy=1&dateTime=now";
            //镋钯街
            locationLinkArr[1] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C7WG3X&to%5Bname%5D=%E9%95%8B%E9%92%AF%E8%A1%971%E5%8F%B7%E9%99%A2&to%5Blnglat%5D=104.082368%2C30.647398&to%5Bmodxy%5D=104.082271%2C30.647733&to%5Bpoitype%5D=120302&to%5Badcode%5D=510104&type=car&policy=1&dateTime=now";
             //339 电视塔
            locationLinkArr[2] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Badcode%5D=510108&to%5Bname%5D=%E6%88%90%E9%83%BD339%E8%B4%AD%E7%89%A9%E4%B8%AD%E5%BF%83&to%5Bid%5D=B0HADPDCXZ&to%5Bpoitype%5D=060101&to%5Blnglat%5D=104.094743%2C30.662078&to%5Bmodxy%5D=104.09365%2C30.660702&type=car&policy=1&dateTime=now";
            //天府广场
            locationLinkArr[3] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Badcode%5D=510105&to%5Bname%5D=%E5%A4%A9%E5%BA%9C%E5%B9%BF%E5%9C%BA&to%5Bid%5D=B001C7WEYU&to%5Bpoitype%5D=110105&to%5Blnglat%5D=104.06586099999998%2C30.657401&to%5Bmodxy%5D=104.064322%2C30.657475&type=car&policy=1&dateTime=now";
            //九眼桥
            locationLinkArr[4] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B0FFGQ5RIP&to%5Bname%5D=%E4%B9%9D%E7%9C%BC%E6%A1%A5&to%5Blnglat%5D=104.089580%2C30.640332&to%5Bmodxy%5D=104.089580%2C30.640332&to%5Bpoitype%5D=190307&to%5Badcode%5D=510104&type=car&policy=1&dateTime=now";
            // 人民公园
            locationLinkArr[5] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C7X8QA&to%5Bname%5D=%E4%BA%BA%E6%B0%91%E5%85%AC%E5%9B%AD&to%5Blnglat%5D=104.057641%2C30.656990&to%5Bmodxy%5D=104.055586%2C30.658148&to%5Bpoitype%5D=110202&to%5Badcode%5D=510105&type=car&policy=1&dateTime=now";
            //文殊院
            locationLinkArr[6] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C7WPBD&to%5Bname%5D=%E6%96%87%E6%AE%8A%E9%99%A2&to%5Blnglat%5D=104.072527%2C30.675418&to%5Bmodxy%5D=104.070371%2C30.675579&to%5Bpoitype%5D=110205&to%5Badcode%5D=510105&type=car&policy=1&dateTime=now";
            //宽窄巷子
            locationLinkArr[7] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C7YCM4&to%5Bname%5D=%E5%AE%BD%E7%AA%84%E5%B7%B7%E5%AD%90%E6%99%AF%E5%8C%BA&to%5Blnglat%5D=104.053307%2C30.663869&to%5Bmodxy%5D=104.051334%2C30.663923&to%5Bpoitype%5D=061000%7C110000&to%5Badcode%5D=510105&type=car&policy=1&dateTime=now";
             //望江楼公园
            locationLinkArr[8] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C06R0O&to%5Bname%5D=%E6%9C%9B%E6%B1%9F%E6%A5%BC%E5%85%AC%E5%9B%AD&to%5Blnglat%5D=104.092205%2C30.629245&to%5Bmodxy%5D=104.090007%2C30.627487&to%5Bpoitype%5D=110101&to%5Badcode%5D=510107&type=car&policy=1&dateTime=now";
            //锦里
            locationLinkArr[9] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B0FFFD3P2C&to%5Bname%5D=%E9%94%A6%E9%87%8C%E5%8F%A4%E8%A1%97&to%5Blnglat%5D=104.049828%2C30.645994&to%5Bmodxy%5D=104.04735%2C30.644147&to%5Bpoitype%5D=110200&to%5Badcode%5D=510107&type=car&policy=1&dateTime=now";
            //武侯祠
            locationLinkArr[10] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Badcode%5D=510107&to%5Bname%5D=%E6%88%90%E9%83%BD%E6%AD%A6%E4%BE%AF%E7%A5%A0%E5%8D%9A%E7%89%A9%E9%A6%86&to%5Bid%5D=B001C07VJ2&to%5Bpoitype%5D=140100&to%5Blnglat%5D=104.04799200000002%2C30.646168&to%5Bmodxy%5D=104.047342%2C30.644229&type=car&policy=1&dateTime=now";
            // 玉林路
            locationLinkArr[11] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=BZA8N505AB&to%5Bname%5D=%E7%8E%89%E6%9E%97%E8%A5%BF%E8%B7%AF&to%5Blnglat%5D=104.054073%2C30.629365&to%5Bmodxy%5D=104.054073%2C30.629365&to%5Bpoitype%5D=190301&to%5Badcode%5D=510107&type=car&policy=1&dateTime=now";
            //青羊宫
            locationLinkArr[12] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C04CFE&to%5Bname%5D=%E9%9D%92%E7%BE%8A%E5%AE%AB&to%5Blnglat%5D=104.042599%2C30.661506&to%5Bmodxy%5D=104.040925%2C30.659698&to%5Bpoitype%5D=110205&to%5Badcode%5D=510105&type=car&policy=1&dateTime=now";
            //东郊记忆
            locationLinkArr[13] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Bid%5D=B001C8NUD2&to%5Bname%5D=%E4%B8%9C%E9%83%8A%E8%AE%B0%E5%BF%86&to%5Blnglat%5D=104.122906%2C30.668697&to%5Bmodxy%5D=104.124849%2C30.669946&to%5Bpoitype%5D=110202&to%5Badcode%5D=510108&type=car&policy=1&dateTime=now";
            //浣花溪公园
            locationLinkArr[14] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Badcode%5D=510105&to%5Bname%5D=%E6%B5%A3%E8%8A%B1%E6%BA%AA%E5%85%AC%E5%9B%AD&to%5Bid%5D=B001C7UM1C&to%5Bpoitype%5D=110101&to%5Blnglat%5D=104.029022%2C30.657467&to%5Bmodxy%5D=104.032591%2C30.662116&type=car&policy=1&dateTime=now";
            //杜甫草堂
            locationLinkArr[15] = "https://amap.com/dir?from%5Badcode%5D=510104&from%5Bname%5D=IFS%E5%9B%BD%E9%99%85%E9%87%91%E8%9E%8D%E4%B8%AD%E5%BF%83&from%5Bid%5D=B0GUNXKUD8-from&from%5Bpoitype%5D=060100%7C120203&from%5Blnglat%5D=104.081635%2C30.654876&from%5Bmodxy%5D=104.082092%2C30.656177&to%5Badcode%5D=510105&to%5Bname%5D=%E6%88%90%E9%83%BD%E6%9D%9C%E7%94%AB%E8%8D%89%E5%A0%82%E5%8D%9A%E7%89%A9%E9%A6%86&to%5Bid%5D=B001C06EMZ&to%5Bpoitype%5D=140100&to%5Blnglat%5D=104.02850699999999%2C30.660161&to%5Bmodxy%5D=104.028793%2C30.658315&type=car&policy=1&dateTime=now";
     

	        var setWidth = 300;
			var opts = {    
                        
                        
                    }    ;
                    
        //size:  new AMap.Size(setWidth, 180) 
        
            for ( cnt1 = 0 ; cnt1 < markerCount ; cnt1++ )
            {
                locationmarkerArr[cnt1] = new AMap.Marker({
                  position: locationPointArr[cnt1],
                  content: locationLargeIconArr[cnt1], 
                  offset: new AMap.Pixel(-35, -96)
                });
                
                
                map2024.add(locationmarkerArr[cnt1]);
                
            }
           
            for ( cnt1 = 0 ; cnt1 < markerCount ; cnt1++ )
            {
                locationmarkerArr[cnt1].setContent(smallpinIcon);
                locationmarkerArr[cnt1].setOffset(smallpinoffset);
                
                
            }


 
     var infoWindow = new AMap.InfoWindow({
			              content: '信息窗体',
			              isCustom: true,
			              offset: new AMap.Pixel( 0 , -85),
			          });  // 创建信息窗口对象  
                   
        

map2024.add(ifsMark);


</script>

<style>
    .custom-content-marker , .custom-content-marker img{
        width: 55px;
        height:92px;
    }
    
    .pin-marker , .pin-marker img {
        width:35px;
        height:45px;
    }
    
    .large-pin-marker , .large-pin-marker img {
        width:70px;
        height:96px;
    }
    
</style>

		



<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/cinema_rink.css">
<!--<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/theme.css">
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/theme-vendors.css">-->
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/architecture.css">
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/wave.css">

 <!--<script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script> <!-- autocomplete use -->
    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/theme-vendors.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/theme.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/liquidAjaxMailchimp.min.js"></script>
    
    
    <!--<script src="<?php echo get_template_directory_uri();?>/effects/owl-carousel/owl.carousel.js"></script>-->
    <script src="<?php echo get_template_directory_uri();?>/effects/pjs/owl.carousel.js"></script>
    <script> 
    
        
       
    jQuery(document).ready(function() {
     
     var owl = jQuery(".owl-carousel");
    //owl.owlCarousel({ items:8 });
     
     owl.owlCarousel({
     
      responsive : {
      // breakpoint from 0 up
      0 : {
        items: 2
      },
      // breakpoint from 768 up
      1280 : {
        items: 8
      }
    }
    
     });
     
     var barPosition = 0;
     var pages = jQuery(".owl-dot").length;
     var currentpage = 1;
     
     
     function finddotcurrent(){
         pages = jQuery(".owl-dot").length;
         
         var tmpcurrent = 0;
         jQuery(".owl-dot").each(function(){
             
             tmpcurrent++;
             if( $(this).hasClass("active"))
             {
                 currentpage = tmpcurrent;
                 console.log( pages + " --//-- " + currentpage );
                return; 
             }
            
          });
         
     }
     
     jQuery("#near-by-arrow-right").click(function(){
         //console.log("pressed");
         /*
         if ( barPosition == 0 )
         {
          owl.trigger('to.owl.carousel',[9]);
          barPosition = 9;
          }else
          {
          owl.trigger('to.owl.carousel',[0]);
          barPosition = 0;
          
          }
          */
          
          finddotcurrent();
         
         if ( currentpage == pages)
         {
             var goposition = 0;
        }
         else
         {
             //var goposition = Math.floor(markerCount / pages) * (currentpage  ) + 1 ;
             var goposition = currentpage;
         }
            console.log(goposition);
              owl.trigger('to.owl.carousel',[goposition]);
              
     });
     
     jQuery("#near-by-arrow-left").click(function(){
         
         finddotcurrent();
         
         if ( currentpage == 1)
         {
             //var goposition = Math.floor(markerCount / pages) * (pages - 1) + 1;
             var goposition = (pages - 1);
        
        }
         else
         {
            // var goposition = Math.floor(markerCount / pages) * (currentpage - 2 ) + 1;
            var goposition = (currentpage - 2) ;
         }
          console.log(goposition);
              owl.trigger('to.owl.carousel',[goposition]);
              
         
         /*
         if ( pages == 2 )
         {
             //console.log("pressed");
             if ( barPosition == 0 )
             {
              owl.trigger('to.owl.carousel',[9]);
              barPosition = 9;
              }else
              {
              owl.trigger('to.owl.carousel',[0]);
              barPosition = 0;
              
              }
         }
         else
         {
              
             if ( barPosition < 3 )
             {
                 var goposition = Math.floor(markerCount / pages) * (pages - 1) + 1;
             
                 owl.trigger('to.owl.carousel',[goposition]);
              barPosition = goposition;
              }else
              {
             
             var goposition = barPosition - Math.floor(markerCount / pages) + 1; 
                  
              owl.trigger('to.owl.carousel',[goposition]);
              barPosition = goposition;
              
              }
         }
         */
     });
     
      jQuery(".near-by-items").click(function( event ){
          jQuery(".near-by-items").removeClass("near-by-items-current");
          $(this).addClass("near-by-items-current");
          callMarker( parseInt($(this).attr("markerdata")) , true);
          
          
          myFunction(event , parseInt($(this).attr("markerdata")) );
      });
        
      function callMarker(y , recenterFlag){
			    
			var firstwait = 10;
			//map2024.closeInfoWindow();
			
			
			jQuery(".near-by-items").removeClass("near-by-items-current");
        
			
                    for( j=0 ; j< markerCount; j++)
    			    {
    			        locationmarkerArr[j].setContent(smallpinIcon);
                        locationmarkerArr[j].setOffset(smallpinoffset);
                        locationmarkerArr[j].setTop(false);
    			    }
			        currentMarker = y;
                    jQuery("[markerdata='" + (currentMarker) + "']").addClass("near-by-items-current");
        
                    //finddotcurrent();
        
        
                      owl.trigger('to.owl.carousel',[ Math.floor( (currentMarker) / Math.floor(markerCount / pages) ) ]);

                        
                        if( recenterFlag )
                        {
                        //map.centerAndZoom(locationPointArr[y], 14); // chnage from zoom 15 to 14 , 14 is init zoom number
                        map2024.setZoomAndCenter( 14 , locationPointArr[y] , true , 500 );
                        }
                        
                       // locationmarkerArr[y].setIcon(locationLargeIconArr[y]);
                       // locationmarkerArr[y].setToTop();
                       
                        locationmarkerArr[y].setContent(locationLargeIconArr[y]);
                        locationmarkerArr[y].setOffset(locationmarkeroffset);
                        locationmarkerArr[y].setTop(true);
                        
			         
                  
                  //infoWindow.close();
			
                  
                     //infoWindow.setContent('<div style=" display:flex; flex-direction: column;"><div style="padding-left:15px;padding-top:10px;font-weight:700;color:#aa9d83;font-size:16px;">'+ locationTitleArr[y]+'</div><div style="padding:5px 15px 15px 15px;">'+locationTextArr[y]+'</div></div>');
                     
                     console.log( "pressed: " + y );
                     
                       <?php if ($isENG ) { ?>
                     infoWindow.setContent('<div id="amapwindow" style="width:300px; height:180px;  display:flex; flex-direction: column;"><div style="background-color: white; padding-left:15px;padding-top:10px;font-weight:700;color:#aa9d83;font-size:16px;">'+ locationTitleArr[y]+'</div><div class="eng-auto-h" style="background-color: white;  padding:5px 15px 15px 15px;text-align: left;height: 100px;overflow-y: auto;">'+locationTextArr[y]+'</div><div style="top: 10px;background-color:#aa9d83;color:white; padding: 3px 15px;text-align: right; border-radius: 0 0 5px 5px; display: flex;justify-content: space-around;"><div style=" display: flex;justify-content: center;"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-walk-icon.svg" style="padding-right: 3px;"><span style="vertical-align:middle;">'+ locationRouteArr[y].dist + '</span></div><div style=" display: flex;justify-content: center;"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-car-icon.svg" style="padding-right: 3px;"><span style="vertical-align:middle;">'+ locationRouteArr[y].car + '</span></div><div style=" display: flex;justify-content: center;"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/attraction-bus-icon.svg" style="padding-right: 3px;"><span style="vertical-align:middle;">'+ locationRouteArr[y].public + '</span></div></div></div>');
                    <?php } else { ?>
                     infoWindow.setContent('<div id="amapwindow" style="width:300px; height:180px; display:flex; flex-direction: column;"><div style="background-color: white; padding-left:15px;padding-top:10px;font-weight:700;color:#aa9d83;font-size:16px;">'+ locationTitleArr[y]+'</div><div style="background-color: white; padding:5px 15px 15px 15px;text-align: justify;height: 100px;overflow-y: auto;">'+locationTextArr[y]+'</div><div style="top: 10px;background-color:#aa9d83;color:white; padding: 3px 15px;text-align: right; border-radius: 0 0 5px 5px;"><a href="'+ locationLinkArr[y] + '" target="_blank" class="info-a"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/navigate-icon.svg" style="padding-right: 3px;"><span style="vertical-align:middle;">导航</span></a></div></div>');
                     <?php } ?>
                     
                     
                     // infoWindow.setContent('<div id="amapwindow"  style=" display:flex; flex-direction: column;"><div style="padding-left:15px;padding-top:10px;font-weight:700;color:#aa9d83;font-size:16px;">title</div><div style="padding:5px 15px 15px 15px;text-align: justify;height: 100px;overflow-y: auto;">content</div><div style="top: 10px;background-color:#aa9d83;color:white; padding: 3px 15px;text-align: right; border-radius: 0 0 5px 5px;"><a href="xxx" target="_blank" class="info-a"><img src="<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/navigate-icon.svg" style="padding-right: 3px;"><span style="vertical-align:middle;">导航</span></a></div></div>');
                     
                     //map.openInfoWindow(infoWindow, locationPointArr[y]);  // change infowindow to follow icon as no change to center
                   // infoWindow.setSize( new AMap.Size(width:300, height:180) );
                    infoWindow.open(map2024, locationPointArr[y] );
                    
                    
                    
                    
                    
                    setTimeout( function(){ 
                         jQuery("[src*='iw3.png']").css("display", "none");
                        jQuery(".BMap_bubble_content").css("background-color","white");
                        jQuery(".BMap_bubble_content").css("opacity",1);
                        
                        jQuery(".BMap_pop").children().each(function(){
                            w = $(this).width();
                            
                            if (w == setWidth ){
                                $(this).css('left', 0 );
                                $(this).css('opacity', 1 );
                                
                            }
                            else
                            {
                                $(this).hide();
                            }
                        });
                    
                         
                    //jQuery('.BMap_pop')[0].style.top = tmp + "px";
                        
                     
                   
                        }, firstwait  );
                        
                    
                   /*  setTimeout( function(){ 
                        
                        
                        
                     }, firstwait + 200);
			*/
			/*
			
			setTimeout( function(){ 
			    
			         jQuery("[src*= '" + (y+1) + ".png']").parent().parent().css("z-index", "9999999999");
                        jQuery("[src*= '" + (y+1) + ".png']").parent().parent()[0].style.zIndex = 9999999999;
                   jQuery("[src*= '" + (y+1) + ".png']").parent().parent().attr("return","thismarker");
                   
			    
			}, firstwait +1000); 
			*/
			
            }
            // end of callMarker
			
    

       
			for( i = 0 ; i < markerCount ; i++ ){
			    
			    locationmarkerArr[i].on("click", function(x){    
                    //console.log(" X pressed " + x );
             
                    return function(){ callMarker(x, false); }
                }(i));  
                
			   /* map.addOverlay(locationmarkerArr[i]);  
			     */
			}  
			
			
			
	myTimeout = setTimeout(mypress, 5000);
	
	
	function callingIcon(iconname)
	{
	    id = parseInt( iconname.replace("icon", "") );
                  console.log( "pressed " + id);
                  
                  //event.preventDefault();
                  callMarker( id , true);
                  changeIcon(id);
	}

function mypress(){


                jQuery( ".location-pin" ).click(function(event){
                    
                  var id =  $(this).attr("data-location");
                  
                  /*
                  
                  id = parseInt( id.replace("icon", "") );
                  console.log( "pressed " + id);
                  
                  //event.preventDefault();
                  callMarker( id , true);
                  changeIcon(id);
                  //callMarker( parseInt($(this).attr("markerdata")) , true);
                  console.log("pin press");
                  */
                  callingIcon(id);
                });
     
            
        }
        		
	           <?php 
                if(isset($_GET['location'])) { 
        ?>
        window.setTimeout(function() {
			var tmpid = "<?php echo $_GET['location'];?>" ;
            callingIcon(tmpid);
                }, 500);
				
            
        <?php         
        }
        ?>	
		
			
    });
    
    
               

        
    </script>
    
  
    
    <style>
    
    
    #near-by-arrow-left,
    #near-by-arrow-right,
    .near-by-items{
        cursor:pointer;
    }
   /* 
    .owl-stage-outer
    {
        height:130px;
    }
    */
    #banner-content{
        
        display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: flex-start;
    align-content: center;
    }
    
    .lqd-promo-content h2 {
  margin: 0 -1em 0 -1em;
  font-size: 40px;
  /*font-weight: 700;*/
  /*font-family: "HelveticaNeue-Bold", source-han-sans-simplified-c, Arial, sans-serif;	*/
  font-family: "HelveticaNeue-Bold", source-han-sans-simplified-c, Arial, sans-serif;	
  line-height: 1em;
}
/*
.BMap_pop{
    top:100px !important;
}
*/

.BMap_shadow{
    display:none!important;
    opacity:0;
}

.BMap_bubble_content{
    border-radius:5px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  /*  margin-top:40px */
}

.BMap_pop div {
    opacity:0;
}

.BMap_bubble_content div{
    opacity:1;
}

.info-a{
    opacity: 0.7;
}

.info-a:hover{
    opacity: 1;
        -webkit-transition: all 1s ease;
	transition: all 1s ease;
}

.info-a:hover,
.info-a:visited,
.info-a:focus {
    color:white;
}



	.near-by-title-text
{
    color:white; 
    font-weight: 700;
    font-size: 20px;
    letter-spacing: 2px;
    padding: 10px 0;
}

<?php if ( $isENG) { ?>
.near-by-arrow-en{
    margin-left:10px;
    margin-right:10px;
}
<?php } ?>

@media (max-width: 1280px)
{
.owl-carousel .owl-dots
 {
display:none;
     
 }
 
 .owl-carousel .owl-stage-outer {

	padding-bottom: 10px;
}
}

@media (max-width: 480px)
{
#light {
    height: 50vh;
}
.light-content {
    height: 50vh;
}
#app {
    height: 50vh;
}


.near-by-items {
 
    /*margin: 0;*/
    <?php if ($isENG ) { ?>
    margin: 0px 20px;
     <?php } else { ?>
    margin: 0px 22px;
    <?php } ?>
}

.near-by-bar
{
    padding: 0 10px;
}

#map-section-content {
    height: auto;
}

.owl-carousel .owl-dots .owl-dot span {
    width: 5px;
    height: 5px;
  }
  
  .owl-carousel .owl-dots .owl-dot {
    margin-top: 9px; 
    margin-bottom: 9px;
    margin-left: 0px;
    margin-right: 0px;
}


.near-by-arrow-en{
    margin-left:10px;
    margin-right:12px;
}

.near-by-title-text
{
    color:white; 
    font-size:24px;
    text-align:center;
    letter-spacing:1px;

}

.near-by-title-bar{
     display:flex;
     flex-direction: row;
     justify-content: space-around;
     align-items: center;
     flex-wrap: nowrap;
}


}

.eng-auto-h{
      -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
}


.mapplic-tooltip-content{
    margin-right:0px!important;
}

.mapplic-tooltip-close{
    display:none!important;
}



/* CUSTOM PINS */

.mapplic-pin.location-pin { /* replace 'my-new-pin' with the name of your pin */

	background-image: url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/map-small-pin.png"); 	/* define the path to image file */

	background-size: 35px 45px;
	
	width:35px;
    height:45px;

	margin-left: -18px;	/* negative margins are used for */
    margin-top: -44px;	/* defining the pin's origin */

}




.mapplic-pin.CDIFS-pin { /* replace 'my-new-pin' with the name of your pin */

	background-image: url(<?php echo get_template_directory_uri();?>/effects/images/how_to_get_here/map-pin.png); 	/* define the path to image file */

	background-size: 55px 92px;
	
	width:55px;
    height:92px;

	margin-left: -23px;	/* negative margins are used for */
    margin-top: -92px;	/* defining the pin's origin */

}


#sharp-map,
.mapplic-element {
    width: 100% !important;
    height: calc( 100vw * 440 / 1440) !important;
    background-color: #eeeeee;
}

.mapplic-tooltip {
   /* box-shadow: none!important ; */
   
   box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}


.mapplic-pin.CDIFS-pin {
    cursor: default !important;
}


.mapplic-tooltip-content {
    <?php if ($isENG ) { ?>
    max-height: 155px !important;
    <? } else { ?>
    max-height: 158px !important;
    <?php } ?>
}

</style>


<?php get_footer('2022'); ?>





<script>
  window.setTimeout(function() {
jQuery( ".CDIFS-pin" ).off("click"); 

jQuery( ".CDIFS-pin" ).click(function(event){
    event.preventDefault();
});
console.log("final");
} , 2000 );


</script>